> ## Documentation Index
> Fetch the complete documentation index at: https://redo-44af351d-docs-returns-email-query-param.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Receive Storefront Events

> Processes events from storefronts using Shopify pixel event schema



## OpenAPI

````yaml /api-schema/openapi.yaml post /stores/{storeId}/storefront/events
openapi: 3.1.0
info:
  contact:
    email: engineering-admin@getredo.com
    name: Redo Engineering
  description: |
    ## Endpoints

    Endpoints are authenticated using the Bearer authorization scheme, using the
    REDO_API_SECRET.

    ```txt
    GET /v2.2/resource HTTP/1.1
    Authorization: Bearer 77bb7598b7a972475cc7c7e171ec33af
    Host: api.getredo.com
    ```

    ## Webhooks

    Webhooks are authenticated using the Bearer authorization scheme, using
    a secret supplied by the subscriber.

    ```txt
    POST /events HTTP/1.1
    Authorization: Bearer subscriberauth123
    Host: subscriber.example.com
    ```

    Webhook events are delivered in order for each individual subject (e.g.
    return).

    If the response is not a 2xx status code, the event will be retried multiple
    times before discarding it.
  title: Redo API
  version: 2.2.1
servers:
  - url: https://api.getredo.com/v2.2
security: []
tags:
  - name: Checkout Buttons
  - name: Coverage Info
  - name: Coverage Products
  - name: Custom Events
  - name: Customer Portal
  - name: Customer Subscriptions
  - name: Customers
  - name: Inbound Shipments
  - name: Inventory Items
  - name: Inventory Levels
  - name: Invoices
  - name: Merchant Admin
  - name: Orders
  - name: Products
  - name: Returns
  - name: Storefront
  - name: Webhooks
paths:
  /stores/{storeId}/storefront/events:
    post:
      tags:
        - Storefront
      summary: Receive Storefront Events
      description: Processes events from storefronts using Shopify pixel event schema
      operationId: Storefront Event
      parameters:
        - $ref: '#/components/parameters/store-id.param'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/storefront-event.schema'
        required: true
      responses:
        '204':
          description: Event processed successfully
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.schema'
          description: Invalid event payload
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/error.schema'
          description: Error
      security:
        - Bearer: []
components:
  parameters:
    store-id.param:
      description: Store ID
      in: path
      name: storeId
      required: true
      schema:
        example: 64e5a8a1af49a89df37e4ee7
        type: string
  schemas:
    storefront-event.schema:
      additionalProperties: true
      description: Shopify pixel event for storefront tracking.
      properties:
        anonymousId:
          description: Anonymous identifier for users without account.
          type: string
        cart:
          description: Cart information.
          type:
            - object
            - 'null'
        cartLine:
          description: Information about specific cart line item.
          type: object
        checkout:
          description: Checkout information.
          type: object
        collection:
          description: Collection information.
          type: object
        customer:
          description: Customer information if available.
          type:
            - object
            - 'null'
        customerEmail:
          description: Customer email if available.
          format: email
          type: string
        customerPhone:
          description: Customer phone if available.
          type: string
        eventId:
          description: Unique identifier for the event.
          type: string
        eventName:
          description: Name of the Shopify pixel event.
          enum:
            - product_added_to_cart
            - product_removed_from_cart
            - product_viewed
            - checkout_started
            - checkout_completed
            - checkout_contact_info_submitted
            - page_viewed
            - collection_viewed
          type: string
        productVariant:
          description: Product variant information.
          type: object
        source:
          description: Source of the event.
          enum:
            - AIMERCE
          type: string
        timestamp:
          description: ISO 8601 timestamp when the event occurred.
          format: date-time
          type: string
        urlWithParams:
          description: Complete page URL with query parameters.
          type: string
        urlWithoutParams:
          description: Page URL without query parameters.
          type: string
      required:
        - eventName
        - eventId
        - timestamp
        - source
      title: Storefront Event
      type: object
    error.schema:
      description: >-
        Problem details. See [RFC 7807 Section
        3](https://datatracker.ietf.org/doc/html/rfc7807#section-3).
      properties:
        detail:
          description: Human-readable description of the problem.
          title: Detail
          type: string
        instance:
          description: A URI reference that identifies this problem.
          format: uri-reference
          type: string
        title:
          description: Human-readable summary of the problem type.
          title: Title
          type: string
        type:
          default: about:blank
          description: A URI reference that identifies the problem type.
          format: uri-reference
          type: string
      title: Problem details
      type: object
  securitySchemes:
    Bearer:
      scheme: bearer
      type: http

````